Bug 20501 - some problem message
some problem message
Status: CLOSED CURRENTRELEASE
Product: Red Hat High Availability Server
Classification: Retired
Component: ext3 (Show other bugs)
beta
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Wil Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-07 19:03 EST by angus young
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-06 19:21:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (4.69 KB, text/plain)
2000-11-07 19:04 EST, angus young
no flags Details

  None (edit)
Description angus young 2000-11-07 19:03:02 EST
on a fully update redhat 7.0
installed kernel-2.2.17-6.i586.rpm
upgraded to e2fsprogs-1.20-0ext3.i386.rpm
upgraded to kernel-utils-2.2.17-6.i386.rpm
upgraded to  modutils-2.3.17-3.i386.rpm
upgraded to quota-2.00pre3-7a.i386.rpm
modified lilo.conf to add ext3 entry
build initrd
lilo -R ext3
reboot
saw this on console
autorun ...
... autorun DONE.
ext3: No journal on filesystem on 01:00
EXT3-fs: get root inode failed

and 
autodetecting RAID arrays
autorun ...
... autorun DONE.
ext3: No journal on filesystem on 08:01
EXT3-fs: get root inode failed
VFS: Mounted root (ext2 filesystem) readonly.

and 
kdb: Attempt to register duplicate symbol 'inflate_codes' @ 0xd005fb78
kdb: Attempt to register duplicate symbol 'inflate' @ 0xd005d990
Comment 1 angus young 2000-11-07 19:04:50 EST
Created attachment 5141 [details]
dmesg
Comment 2 Stephen Tweedie 2000-11-08 06:19:46 EST
The messages

 ext3: No journal on filesystem on 08:01 
 EXT3-fs: get root inode failed

are the result of the linux VFS trying to mount the root filesystems (first the
initrd, and then your real main root filesystem) first as ext3.  That failed,
because root was in fact ext2, so the VFS then tries ext2 which succeeds.  It's
not a bug or a problem, but a side-effect of the fact that there has to be some
way to allow the root filesystem to be ext3.

I'll look into the kdb messages, but kdb is only a debugging module and will
most likely not ship in any production ext3 kernel.
Comment 3 angus young 2000-11-10 04:21:45 EST
thanks for you explanation.
so there is a modification for convert (this is not the good word) an ext2 to
ext3 when the filesystem is the root filesystem. I use actually reiserfs and
there is a similary think to know, a root filesystem must be mount with notail
option.
Comment 4 Stephen Tweedie 2000-11-10 05:15:52 EST
Not yet, but there will be.  Right now you have to use the mechanism documented
on the ext3-users list, using lilo to pass the journal creation root flags to
the kernel.
Comment 5 angus young 2000-11-11 14:42:10 EST
ok, i will do that.
I hold you to inform.
highly ext3 with metadata only ;-)
Comment 6 angus young 2000-11-11 18:22:42 EST
some benchmark result (bonnie++ 1.0d)
mke3fs /dev/sda1
mount -t ext3 /dev/sda1 /mnt/ext3
cd /mnt/ext3
 ~david/bonnie++-linux-libc6 -u 0:0
Version 1.00d       ------Sequential Output------ --Sequential Input- --Random-
                    -Per Chr- --Block-- -Rewrite- -Per Chr- --Block-- --Seeks--
Machine        Size K/sec %CP K/sec %CP K/sec %CP K/sec %CP K/sec %CP  /sec %CP
localhost      496M  2198  64  5176  11  3674  11  3696  98 12324   9  11.5   0
                    ------Sequential Create------ --------Random Create--------
                    -Create-- --Read--- -Delete-- -Create-- --Read--- -Delete--
              files  /sec %CP  /sec %CP  /sec %CP  /sec %CP  /sec %CP  /sec %CP
                 30   194  96   705  99  4225  95   203  99   869  98   278  38
localhost,496M,2198,64,5176,11,3674,11,3696,98,12324,9,11.5,0,30,194,96,705,99,4225,95,203,99,869,98,278,38

cd /
umount /dev/sda1
mkfs.ext2 /dev/sda1
mount -t ext2 /dev/sda1 /mnt/ext3
cd /mnt/ext3
~david/bonnie++-linux-libc6 -u 0:0
Version 1.00d       ------Sequential Output------ --Sequential Input- --Random-
                    -Per Chr- --Block-- -Rewrite- -Per Chr- --Block-- --Seeks--
Machine        Size K/sec %CP K/sec %CP K/sec %CP K/sec %CP K/sec %CP  /sec %CP
localhost      496M  3486  98 14004  18  5013  12  3660  97 12293   9  15.6   0
                    ------Sequential Create------ --------Random Create--------
                    -Create-- --Read--- -Delete-- -Create-- --Read--- -Delete--
              files  /sec %CP  /sec %CP  /sec %CP  /sec %CP  /sec %CP  /sec %CP
                 30   204  99   716  98  4716  99   207  99   912  99   495  66
localhost,496M,3486,98,14004,18,5013,12,3660,97,12293,9,15.6,0,30,204,99,716,98,4716,99,207,99,912,99,495,66

it will be interesting to compare with ext3 metadata only

but I cannot mount my root partition in ext3
this is my procedure:
dd if=/dev/zero of=/journal.dat bs=1k count=10000
chattr +i /journal.dat
ls -i /journal.dat

2437 :journal.dat
/sbin/lilo -R ext3 rw rootflags=journal=2437
reboot

kernel error before scsi module loaded

this is my lilo.conf
boot=/dev/sda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux

image=/boot/vmlinuz-2.2.16-22
	label=linux
	initrd=/boot/initrd-2.2.16-22.img
	read-only
	root=/dev/sdb1
image=/boot/vmlinuz-2.2.17-6
	label=ext3
	initrd=/boot/initrd-2.2.17-6.img
	root=/dev/sdb1



and this is /etc/fstab
LABEL=/1                /                       ext2    noatime,nodiratime	
1 1
/dev/sda10              /home                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/sda8               swap   swap    defaults        0 0
#/dev/sdb3               swap                    swap    defaults        0 0
/dev/sda3
	/mnt/c:			vfat	defaults	0 0
/dev/sda5
	/mnt/d:			vfat	defaults	0 0
/dev/sda6
	/mnt/e:			vfat	defaults	0 0
/dev/sda7
	/mnt/f:			vfat	defaults	0 0
/dev/sda1
	/mnt/ext3		ext3	defaults	1 0

should i modify "dij`" ext2 to ext3 in fstab for root partition /dev/sdb1 ?
Comment 7 Stephen Tweedie 2000-11-13 08:20:33 EST
See the comment above: there is no clean mechanism for now for converting root
to ext3 if you are booting via initrd.  There will be in a subsequent e2fsprogs
package.  The method will be documented once it becomes available.
Comment 8 Stephen Tweedie 2000-12-06 19:21:05 EST
All of the boot warning messages should be fixed in 0.0.5c.  Mounting root as
ext2 should no longer produce odd ext3 messages, and the recovery messages will
not occur on ext3 root filesystems after a clean reboot.

kdb messages are from a debugging module which is not part of the core of ext3.

Note You need to log in before you can comment on or make changes to this bug.